Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.widgets
Class HistoryModel

    java.lang.Object
      jpicedt.widgets.HistoryModel

public class HistoryModel
extends Object

A history list. One history list can be used by several history text fields.

Version:
  $Id: HistoryModel.java,v 1.3 2005/01/02 23:42:32 reynal Exp $
Author:
  Slava Pestov

Constructor Summary
`HistoryModel(String name)` Creates a new history list.

Method Summary
`void` | `addItem(String text)` Adds an item to the end of this history list, trimming the list to the maximum number of items if necessary.
`String` | `getItem(int index)` Returns an item from the history list.
`static HistoryModel` | `getModel(String name)` Returns a named model.
`String` | `getName()` Returns the name of this history list.
`int` | `getSize()` Returns the number of elements in this history list.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HistoryModel

    public HistoryModel(String name)

  Creates a new history list. Calling this is normally not necessary.

Method Detail

### addItem

    public void addItem(String text)

  Adds an item to the end of this history list, trimming the list to the maximum number of items if necessary.

  Parameters:
    `text` - The item

### getItem

    public String getItem(int index)

  Returns an item from the history list.

  Parameters:
    `index` - The index

### getSize

    public int getSize()

  Returns the number of elements in this history list.

### getName

    public String getName()

  Returns the name of this history list. This can be passed to the HistoryTextField constructor.

### getModel

    public static HistoryModel getModel(String name)

  Returns a named model. If the specified model does not already exist, it will be created.

  Parameters:
    `name` - The model name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org